html,
body,
div,
span,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
address,
code,
em,
img,
strong,
sub,
sup,
b,
u,
i,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
section,
main,
audio,
video {
  margin: 0;
  padding: 0;
}

html {
  font-size: 62.5%; /* 1rem = 10px */
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

/* button태그에 손모양 커서 */
button {
  cursor: pointer;
}
/* 익스하위버전에서 이미지 선없애기 */
fieldset,
img {
  border: 0;
}

/* 리스트 기호 빼기 */
ol,
ul {
  list-style: none;
}

/* 태그 기본 기울임꼴 제거 */
address,
em {
  font-style: normal;
}
strong {
  font-weight: normal;
}

/* 페이지안에서 가장 많은 링크색 지정 */
/* a {text-decoration: none; color: #000;} */

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

/* iframe으로 외부컨텐츠를 연결했을때
외부컨텐츠안쪽내용이 우리페이지에 영향을 주지못하도록 가려줌*/
iframe {
  overflow: hidden;
  border: 0;
}

/* 칸의 선을 합치기, 칸의 간격없애기, 가로를 늘려줌 */
table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
}

/* 굵기 빼고 헤딩태그 폰트크기를 body에 선언한 크기와 일치시킴 */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: normal;
  font-size: 100%;
}

/* 폼요소의 높이가 다를때 요소끼리 세로정렬시킴 */
input,
select,
textarea,
button {
  vertical-align: middle;
  margin: 0;
  padding: 0;
}

select {
  background-color: #ffffff;
}

/* 안드로이드 크롬 등에서 터치 시 생기는 하이라이트 색상 제거 */
select:focus {
  outline: none;
  -webkit-tap-highlight-color: transparent;
}

/* 
모바일 크롬, 모바일 사파리 브라우져의 텍스트 자동확대 방지*/
body {
  -webkit-text-size-adjust: none;
  -webkit-tap-highlight-color: #abdff394 !important;
}

/* legend,caption,메뉴제목,섹션제목 블라인드 */
legend,
caption,
.blind {
  position: absolute;
  overflow: hidden;
  clip: rect(0 0 0 0);
  margin: -1px;
  width: 1px;
  height: 1px;
}
.clearfix:after {
  content: '';
  display: block;
  clear: both;
}

/* placeholder */
::-webkit-input-placeholder {
  color: #bbbbbb;
} /* Webkit,크롬,사파리 */
:-moz-placeholder {
  color: #bbbbbb;
} /* Firefox 4-18 */
::-moz-placeholder {
  color: #bbbbbb;
  opacity: 1;
} /* Firefox 19+ */
:-ms-input-placeholder {
  color: #bbbbbb;
} /* IE10+ */

/* a 태그 */
a {
  color: #000;
  text-decoration: none;
  outline: none;
}

a:focus-visible {
  outline: 2px solid var(--color-purple2);
  outline-offset: 2px;
}

:root {
  /* font size */
  --size-xxs: 1rem;
  --size-xs: 1.2rem;
  --size-sm: 1.4rem;
  --size-base: 1.6rem;
  --size-lg: 1.8rem;
  --size-xl: 2rem;
  --size-2xl: 2.4rem;

  /* color */
  --color-white: #ffffff;
  --color-black: #000000;
  --color-black2: #333;
  --color-gray: #7b7b7b;
  --color-gray2: #b2b2b2;
  --color-gray3: #767676;
  --color-gray4: #666666;
  --color-lightGray: #ddd;
  --color-boxGray: #f5f5f5;
  --color-border-gray: #e5e5e5;
  --color-red: #f94f4f;
  --color-light-purple: #efebf5;
  --color-purple: #6836b3;
  --color-purple2: #5c3a8f;
  --color-purple3: #251045;

  /* bold */
  --weight-regular: 400;
  --weight-medium: 600;
  --weight-large: 600;
  --weight-bold: 700;
  --weight-black: 700;

  /* border-radius */
  --border-radius-micro: 0.5rem;
  --border-radius-xs: 1rem;
  --border-radius-s: 1.2rem;
  --border-radius-r: 1.4rem;
  --border-radius-l: 1.6rem;

  /* margin */
  --margin-bottom-s: 1rem;
  --margin-bottom-r: 2rem;
  --margin-bottom-l: 3rem;
  --margin-bottom-xl: 4rem;
  --margin-bottom-xxl: 5rem;
}

body {
  scrollbar-gutter: stable;
  font-family: 'Inter', /* 영어 */ 'Noto Sans KR', /* 한국어 */ 'Noto Sans JP',
    /* 일본어 */ -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial,
    sans-serif;
  display: flex;
  flex-direction: column;
  width: 100%;
  min-height: 100vh;
  background-color: #f7f7f9;
  top: 0 !important;
}
.page-loading {
  opacity: 0;
}

.page-loaded {
  opacity: 1;
}

/* header */
#header {
  display: flex;
  justify-content: center;
  width: 100%;
}

#headerContainer {
  width: 100%;
  max-width: 600px;
  height: 124px;
  display: flex;
  position: relative;
  overflow: hidden;
}
.headerBgImg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 124px;
  object-fit: cover;
  background-repeat: no-repeat;
}
.headerInner {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 0 16px;
  gap: 6px;
  overflow: hidden;
  cursor: pointer;
  z-index: 1;
}

#headerContainer::after {
  width: 100%;
  height: 100%;
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  background: url(/img/etc/snow.gif);
  opacity: 0.6;
}

.headerRow {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  min-height: 4rem;
}
#headerLogoImg {
  width: 30px;
  height: 30px;
  border-radius: var(--border-radius-micro);
  box-sizing: border-box;
}
#headerLogoText {
  font-size: var(--size-xl);
  color: var(--color-purple3);
  font-weight: var(--weight-bold);
}
#headerBlank {
  width: 30px;
}
.headerBottomValue {
  font-size: var(--size-sm);
  color: var(--color-white);
  font-weight: var(--weight-medium);
  text-shadow: 0 0 8px rgba(0, 0, 0, 1);
}
.headerTop {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.headerLogoArea {
  display: flex;
  align-items: center;
  gap: 8px;
}
.hamburger {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}
.menu_icon {
  width: 34px;
  height: 34px;
}

.sideMenuWrap {
  position: absolute;
  inset: 0;
  z-index: 99999;
  background: rgba(0, 0, 0, 0.6);
}

.sideMenu {
  position: fixed;
  top: 0;
  right: max(0px, calc((100vw - 600px) / 2));
  width: 80vw;
  max-width: 320px;
  height: 100%;
  overflow-y: auto;
  background-color: white;
  border-right: 1px solid var(--color-border-gray);
}

.sideMenuItem {
  display: flex;
  flex-direction: column;
  gap: 16px;
  border-bottom: 1px solid #eee;
  padding: 16px;
  font-size: var(--size-sm);
  font-weight: var(--weight-medium);
}
.sideMenuItem > li > a {
  display: flex;
  width: 100%;
  cursor: pointer;
}
.sazooLink {
  display: flex;
  justify-content: left;
  align-items: center;
  gap: 4px;
}
.sazooLink img {
  width: 16px;
  height: 16px;
  border-radius: var(--border-radius-micro);
}

.menuClose {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}
.menu_close_icon {
  width: 30px;
  height: 30px;
  cursor: pointer;
}

.loginBox {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: var(--size-lg);
  font-weight: var(--weight-large);
}
.loginBox img {
  width: 50px;
  height: 50px;
  border-radius: 100px;
}
.logoutBtn,
.loginBtn a {
  font-size: var(--size-sm);
  font-weight: var(--weight-regular);
  color: var(--color-gray);
  text-decoration: none;
  cursor: pointer;
}
.recommend {
  padding: 8px 16px;
  font-size: var(--size-base);
  font-weight: var(--weight-large);
  background-color: var(--color-light-purple);
  cursor: default;
}
/* footer */
#footer {
  display: flex;
  justify-content: center;
  width: 100%;
  background: var(--color-black);
  margin-top: 30px;
  flex-shrink: 0;
}

#footerInner {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 600px;
  padding: 25px 16px;
  gap: 32px;
}

.footerInfo {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.footerInfoTitle {
  color: var(--color-white);
  font-weight: var(--weight-bold);
  font-size: var(--size-lg);
}
.footerInfoValueWrap {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.footerInfoValue {
  color: var(--color-boxGray);
  font-size: var(--size-sm);
  font-weight: var(--weight-regular);
}
.footerInfoIcon {
  width: 24px;
  height: 24px;
}
.footerInfoIconWrap {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 8px;
  margin-bottom: var(--margin-bottom-s);
}

.footerCopyRight {
  color: var(--color-white);
  font-size: var(--size-sm);
}

/* main */

#main {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  background-color: var(--color-white);
  max-width: 600px;
  min-width: 280px;
  margin: 0 auto;
  position: relative;
  min-height: 100vh;
}
.mainSection {
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 30px 16px 10px;
  max-width: 600px;
}
.mainSection.iframeSection {
  padding: 18px 16px 10px;
  max-width: 600px;
}
.mainSectionTitle {
  font-size: var(--size-xl);
  font-weight: var(--weight-black);
  display: flex;
  align-items: center;
  justify-content: left;
  gap: 0.5rem;
  flex-wrap: wrap;
  margin-bottom: var(--margin-bottom-r);
}
.mainSectionTitle.mbSmall {
  margin-bottom: var(--margin-bottom-s);
}
.mainSectionTitle.center {
  display: flex;
  align-items: center;
  justify-content: center;
}
.mainSectionDescription {
  font-size: var(--size-sm);
  font-weight: var(--weight-medium);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: left;
  margin-bottom: var(--margin-bottom-r);
  color: var(--color-gray3);
}
.mainSectionDescription.column {
  flex-direction: column;
  align-items: flex-start;
  gap: 4px;
  color: var(--color-black2);
}
.sectionContents {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 4px;
}
.sectionImageBox {
  width: 100%;
  position: relative;
  overflow: hidden;
  border-radius: var(--border-radius-l);
}
.sectionImageBox::before {
  content: '';
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  z-index: 1;
}

.sectionImageBox img {
  display: block;
  width: 100%;
  aspect-ratio: 16 / 9;
  object-fit: cover;
}

.contents_textBox {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 12px;
  padding: 0 10px;
  color: var(--color-white);
  font-size: var(--size-sm);
  text-align: center;
}
.contents_textBox b {
  font-size: var(--size-lg);
  font-weight: var(--weight-bold);
}
.link_button {
  width: 50%;
  padding: 6px 8px 7px 8px;
  border: 1.5px solid var(--color-white);
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: var(--border-radius-micro);
  margin-top: 4px;
  color: var(--color-white);
}
/* 마담그리샴 타로 */
.madamGrishamImgWrap {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: space-between;
  gap: 8px;
}
.madamGrishamDescription {
  display: flex;
  flex-direction: column;
  flex: 1 1 0;
  min-width: 0;
  gap: 4px;
}
.madamGrishamImg {
  width: 100%;
  aspect-ratio: 12/10;
  border-radius: var(--border-radius-xs);
  border: 1px solid var(--color-border-gray);
  box-sizing: border-box;
  cursor: pointer;
}
.madamGrishamImgTitle {
  width: 100%;
  display: block;
  text-align: left;
  font-size: var(--size-sm);
  font-weight: var(--weight-medium);
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.cardGrid {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.cardItem {
  width: 100%;
}
.cardLink {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
  gap: 12px;
}

.cardThumb {
  width: 90px;
  aspect-ratio: 10 / 8;
  border-radius: var(--border-radius-xs);
  overflow: hidden;
  border: 1px solid var(--color-border-gray);
  box-sizing: border-box;
  cursor: pointer;
}
.cardThumb:focus-visible,
.gridCardThumb:focus-visible,
.bannerThumb:focus-visible,
.madamGrishamImg:focus-visible,
.tabs button:focus-visible {
  outline: 2px solid var(--color-purple2);
  outline-offset: 2px;
}

.cardThumb img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform: scale(1.05);
}

.cardTitleBox {
  flex: 1;
  min-width: 0;
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.cardTitle {
  font-size: var(--size-sm);
  font-weight: var(--weight-bold);
  cursor: pointer;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.cardDesc {
  font-size: 13px;
  font-weight: var(--weight-regular);
  color: var(--color-black2);
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor: pointer;
}

.imageCardGrid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
  margin-top: 16px;
}
.imageCardGrid.noMarginTop {
  margin-top: 0;
}

.gridCardItem {
  /* cursor: pointer; */
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;
  min-width: 0;
}
.gridCardLink {
  width: 100%;
  min-width: 0;
}

.gridCardThumb {
  width: 100%;
  aspect-ratio: 10 / 7;
  border-radius: var(--border-radius-s);
  overflow: hidden;
  box-sizing: border-box;
}

.gridCardThumb img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform: scale(1.05);
}

.gridCardTitle {
  width: 100%;
  font-size: var(--size-sm);
  font-weight: var(--weight-bold);
  margin-top: 8px;
  text-align: left;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.zodiacPeriod {
  width: 100%;
  font-size: var(--size-xs);
  color: var(--color-gray3);
  margin-top: 2px;
  text-align: left;
}

.counselList {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 16px;
  padding: 20px;
}
#callTop5 {
  display: flex;
  flex-direction: column;
  gap: 8px;
  margin-top: 10px;
}

.counselItem {
  display: flex;
  align-items: center;
  gap: 10px;
  border-radius: 12px;
  background: var(--color-white);
  cursor: pointer;
  transition: all 0.15s ease-out;
}

.counselRank {
  font-size: var(--size-lg);
  font-weight: var(--weight-bold);
  text-align: center;
  color: var(--color-black);
}

.counselProfile {
  width: 80px;
  height: 80px;
  border-radius: var(--border-radius-s);
  overflow: hidden;
  margin-right: 20px;
}

.counselImg {
  width: 100%;
  height: 100%;
  background-color: var(--color-lightGray);
}

.counselInfo {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 2px;
}

.counselName {
  font-size: var(--size-base);
  font-weight: var(--weight-medium);
  color: var(--color-black);
}

.counselReview {
  font-size: var(--size-xs);
  color: var(--color-gray);
}

.counselBottom {
  display: flex;
  align-items: center;
  gap: 10px;
}

.counselPrice {
  font-size: var(--size-base);
  font-weight: var(--weight-bold);
  color: var(--color-black);
}

.counselStatus {
  font-size: var(--size-xs);
  padding: 4px 8px;
  border-radius: 20px;
  font-weight: var(--weight-bold);
}

.counselStatus.active {
  background-color: #44e3de;
  color: var(--color-white);
}

.counselStatus.disabled {
  background-color: var(--color-gray);
  color: var(--color-white);
}

.tabs {
  width: 100%;
  border-bottom: 1px solid var(--color-lightGray);
  display: flex;
  flex-direction: row;
  align-items: center;
}

.tabs button {
  padding: 2px 6px 4px;
  font-size: var(--size-base);
  font-weight: var(--weight-bold);
  color: var(--color-gray3);
  border: none;
  background-color: transparent;
}

.tabs button.active {
  color: var(--color-black);
  border-bottom: 2px solid var(--color-black);
}

#floatingArea {
  position: fixed;
  bottom: 60px;
  left: 50%;
  transform: translateX(-50%);
  width: 600px;
  max-width: 100%;
  pointer-events: none;
  display: flex;
  display: none;
  justify-content: flex-end;
  padding-right: 20px;
}

#scrollTopBtn {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  border: none;
  background: rgba(255, 255, 255, 0.7);
  cursor: pointer;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.2);
  transition: opacity 0.3s ease, transform 0.3s ease;
  opacity: 0;
  transform: scale(0.8);
  pointer-events: none;
  padding-top: 4px;
}
#scrollTopBtn img {
  width: 28px;
  height: 28px;
}

/* 나타날 때 */
#scrollTopBtn.show {
  opacity: 1;
  transform: scale(1);
  pointer-events: auto;
}

/* 누를 때 살짝 눌리는 느낌 */
#scrollTopBtn:active {
  transform: scale(0.92);
}
.today {
  font-size: var(--size-base);
  font-weight: var(--weight-bold);
  color: var(--color-black);
}
/* 이미지 가로 스크롤 배너 */
.bannerScroll {
  display: grid;
  grid-auto-flow: column;
  grid-template-rows: repeat(2, auto);
  gap: 8px;
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  padding-bottom: 10px;
}

.bannerScroll::-webkit-scrollbar {
  display: none;
}

/* 개별 이미지 카드 */
.bannerItem {
  box-sizing: border-box;
}

.bannerThumb img {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
  border-radius: var(--border-radius-xs);
  cursor: pointer;
}

#tico {
  width: 24px;
  height: 24px;
  object-fit: contain;
}

.result_img_box {
  width: 100%;
  display: flex;
  justify-content: center;
}
#result_img {
  display: block;
  width: 100%;
  aspect-ratio: 16/9;
  object-fit: cover;
}
#result_img.ganzhi_img {
  width: 40%;
  max-width: 160px;
  aspect-ratio: 1/1;
  object-fit: contain;
  align-items: center;
  margin: 24px;
}

.result_img_text,
.myInfo_summary {
  width: 100%;
  padding: 16px 8px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 4px;
  background-color: var(--color-boxGray);
  font-size: var(--size-base);
  line-height: var(--size-base);
  font-weight: var(--weight-large);
  color: var(--color-purple);
}
.myInfo_summary.pair {
  gap: 12px;
  font-size: var(--size-sm);
  line-height: var(--size-sm);
  font-weight: var(--weight-large);
}
.myinfo_item {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 6px;
  flex-wrap: wrap;
}
.result_img_text.text_left {
  justify-content: left;
}
.result_box {
  width: 100%;
  border-radius: var(--border-radius-xs);
  border: 1px solid var(--color-lightGray);
  overflow: hidden;
}
.result_box.nonborder {
  border: none;
  border-radius: 0;
}
.result_box.iframe_result {
  border: none;
  border-radius: 0;
  visibility: hidden;
  position: absolute;
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.horoscope_score_box {
  width: 100%;
  padding: 16px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  background-color: var(--color-light-purple);
  border-radius: var(--border-radius-xs);
  flex-wrap: wrap;
}

.horoscope_score_item {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 8px;
  font-size: var(--size-xs);
  font-weight: var(--weight-medium);
  color: var(--color-gray4);
}
.horoscope_score_item .horoscope_score {
  font-size: var(--size-lg);
  font-weight: var(--weight-black);
  color: var(--color-purple);
}

.result_Text_box {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 24px;
  font-size: var(--size-base);
  color: var(--color-black);
  font-weight: var(--weight-large);
  padding: 30px 16px 18px;
}
.result_keyword_box {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 16px;
  flex-wrap: wrap;
}
.result_keyword_item {
  font-size: var(--size-lg);
  line-height: var(--size-lg);
  font-weight: var(--weight-black);
  color: var(--color-purple);
  border-radius: 100px;
  padding: 8px 16px;
  background-color: white;
}

.result_text_row {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.result_text_row span {
  font-weight: var(--weight-regular);
  line-height: var(--weight-regular) * 1.6;
}

.lucky_up_box {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.lucky_up_box div {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 6px;
  flex-wrap: wrap;
}
.result_text_row .lucky_tag {
  padding: 4px 8px;
  background-color: var(--color-light-purple);
  border-radius: var(--border-radius-micro);
  color: var(--color-purple);
  font-size: var(--size-sm);
  font-weight: var(--weight-large);
}
.result_text_row .lucky_tag_text {
  font-size: var(--size-sm);
  font-weight: var(--weight-medium);
}
.result_text_row .lucky_tag_text span {
  font-size: var(--size-sm);
  font-weight: var(--weight-medium);
}
.tip_box {
  padding: 8px;
  background-color: var(--color-boxGray);
  border-radius: var(--border-radius-micro);
  color: var(--color-black2);
  font-size: var(--size-sm);
  line-height: var(--size-sm) * 1.6;
  font-weight: var(--weight-large);
}

.result_text_row .tip_text {
  line-height: var(--size-sm) * 1.6;
  font-weight: var(--weight-large);
  color: var(--color-black2);
}

.result_text_score {
  font-size: var(--size-sm);
  color: var(--color-purple);
  font-weight: var(--weight-medium);
}
.result_text_score .result_jisu {
  font-size: var(--size-sm);
  color: var(--color-purple);
  font-weight: var(--weight-medium);
}
.result_text_item_box {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.result_tag {
  padding: 6px 8px;
  background-color: var(--color-purple);
  font-size: var(--size-xs);
  line-height: var(--size-xs);
  font-weight: var(--weight-medium);
  color: var(--color-white);
  display: inline-block;
  white-space: nowrap;
  align-self: flex-start;
  border-radius: var(--border-radius-l);
  display: flex;
  justify-content: center;
  align-items: center;
}
.selected_year {
  padding: 6px 16px;
  font-size: var(--size-xs);
  line-height: var(--size-xs);
  color: var(--color-purple);
  font-weight: var(--weight-large);
  border-radius: 100px;
  background-color: #efebf5;
  display: flex;
  justify-content: center;
  align-items: center;
}
#star_point {
  color: var(--color-purple);
  margin-left: 16px;
}

#link {
  margin-bottom: 30px;
}

#link .s_list {
  display: flex;
  justify-content: space-between;
  gap: 12px;
  margin-bottom: 16px;
  padding: 0;
}

/* 각 아이템 크기 50% */
#link .s_list li {
  list-style: none;
  width: calc(50% - 6px);
}

/* 컨텐츠 박스 */
#link .s_list .s_list_box {
  display: block;
  overflow: hidden;
  text-align: center;
}

#link .imgBox img {
  width: 100%;
  aspect-ratio: 1 / 0.7;
  object-fit: cover;
  border-radius: var(--border-radius-xs);
}

/* 제목 */
#link .txtTop {
  display: block;
  font-size: var(--size-xs);
  font-weight: var(--weight-large);
  color: var(--color-black);
  margin-top: 6px;
  text-align: left;
  margin-left: 4px;
}

.txtBox {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 2px;
}
.statBox {
  display: flex;
  flex-direction: row;
  gap: 8px;
  font-size: var(--size-xs);
  color: var(--color-border-gray);
}
.view_icon {
  width: 20px;
  height: 20px;
}
.like_icon,
.star_icon {
  width: 18px;
  height: 18px;
}
.logo_container {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
  padding-bottom: 16px;
}
.logo_item {
  width: 100%;
  display: flex;
  justify-content: left;
  align-items: center;
  padding: 12px 16px;
  border-radius: var(--border-radius-s);
  font-size: var(--size-base);
  font-weight: var(--weight-medium);
  color: var(--color-black);
  cursor: pointer;
  text-decoration: none;
  max-width: 460px;
  border: none;
}
.logo_item.google {
  border: 1px solid var(--color-lightGray);
  box-sizing: border-box;
}
.logo_item.naver {
  background-color: #03a94d;
  color: var(--color-white);
}
.logo_item.kakao {
  background-color: #fee500;
}
.logo_item.facebook {
  background-color: #1977f3;
  color: var(--color-white);
}
.logo_item.line {
  background-color: #06c755;
  color: var(--color-white);
  padding: 6px 16px 6px 11px;
}

.logo_item span {
  flex: 1;
  text-align: center;
}
.logo_item img {
  width: 24px;
  height: 24px;
}
.logo_item.line img {
  width: 36px;
  height: 36px;
  border-radius: 100%;
}
#iframe {
  width: 100%;
  border: none;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease-in-out;
}

/* 조회수 및 좋아요 공통 스타일 */
.card-stats {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 12px;
  padding-left: 2px;
  margin-top: 2px;
  font-size: var(--size-sm);
  color: var(--color-gray3);
}

.card-stats .stat-item {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 4px;
}

#newYearBannerGrid,
#jegalBannerGrid {
  margin-bottom: 16px;
}
.goog-te-banner-frame {
  display: none !important;
}
.goog-logo-link,
.goog-te-gadget span {
  display: none !important;
}
.goog-te-gadget {
  font-size: 0;
}

.goog-logo-link,
.goog-te-gadget span {
  display: none !important;
}
.goog-te-gadget {
  font-size: 0 !important;
}

.skiptranslate {
  display: none !important;
}
.langSelect {
  height: 30px;
  font-size: var(--size-sm);
  font-weight: var(--weight-medium);
}
.grid_3card_row {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
  margin-top: 10px;
  margin-bottom: 30px;
}
.time_item {
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 8px;
  padding: 16px;
  font-size: var(--size-xs);
  font-weight: var(--weight-large);
  text-align: center;
  background-color: var(--color-white);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border-radius: var(--border-radius-xs);
}

.time_img_box {
  width: 100%;
  display: flex;
  justify-content: center;
}

.time_img_box img {
  max-width: 100px;
  width: 100%;
  aspect-ratio: 1/1;
  object-fit: cover;
}
.ganzhi_time_text {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}
.month_card {
  width: 100%;
  aspect-ratio: 1/1;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: var(--size-lg);
  font-weight: var(--weight-large);
  color: var(--color-white);
  text-shadow: 0 0 8px rgba(0, 0, 0, 1);
  border-radius: var(--border-radius-xs);
  border: 1px solid var(--color-border-gray);
  cursor: pointer;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100%;
  transition: background-size 0.3s ease, border 0.3s ease, background-color 0.3s ease;
  overflow: hidden;
}
.month_card:hover {
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  background-size: 120%;
  font-size: var(--size-2xl);
}
.grid_2card_row {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 16px;
  margin-bottom: 30px;
}
.grid_2card_item {
  width: 100%;
  aspect-ratio: 1/1;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: var(--size-base);
  font-weight: var(--weight-large);
  text-align: center;
  color: var(--color-white);
  text-shadow: 0 0 8px rgba(0, 0, 0, 1);
  border: 1px solid var(--color-border-gray);
  border-radius: var(--border-radius-xs);
  cursor: pointer;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100%;
  transition: background-size 0.3s ease, border 0.3s ease, background-color 0.3s ease;
  overflow: hidden;
}
.grid_2card_item:hover {
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  background-size: 120%;
  font-size: var(--size-lg);
}

.policy-tabs {
  display: flex;
  border-bottom: 1px solid var(--color-border-gray);
  margin-bottom: 20px;
}

.tab-btn {
  padding: 16px;
  border: none;
  background: none;
  font-size: var(--size-sm);
  font-weight: var(--weight-bold);
  cursor: pointer;
  color: #999;
}

.tab-btn.active {
  color: var(--color-black2);
  border-bottom: 2px solid var(--color-black2);
  margin-bottom: -2px;
}

.policy-container {
  padding: 10px;
  line-height: 1.6;
}

.policy-item {
  margin-bottom: 30px;
}

.policy-item-title {
  font-size: var(--size-lg);
  font-weight: var(--weight-bold);
  margin-bottom: 12px;
  color: var(--color-black);
}

.policy-item-desc {
  font-size: var(--size-sm);
  color: var(--color-black2);
  white-space: pre-wrap;
  word-break: break-all;
}
.contact-link {
  display: block;
  padding: 16px;
  font-size: var(--size-base);
  background-color: var(--color-boxGray);
  border-radius: var(--border-radius-s);
  text-decoration: none;
  color: var(--color-black2);
  font-weight: var(--weight-medium);
  display: flex;
  align-items: center;
  justify-content: left;
  gap: 10px;
  margin-bottom: var(--margin-bottom-s);
}

.contact-link:hover {
  background-color: var(--color-border-gray);
}
.icon_circle {
  width: 34px;
  height: 34px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
  background-color: var(--color-gray2);
}

.noticeList {
  list-style: none;
  padding: 0;
  border-top: 1px solid var(--color-border-gray);
}

.noticeItem {
  border-bottom: 1px solid var(--color-border-gray);
  cursor: pointer;
  background: var(--color-white);
}

.noticeHeader {
  padding: 16px;
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.noticeTitle {
  font-size: var(--size-base);
  font-weight: var(--weight-large);
}

.noticeDate {
  font-size: var(--size-xs);
  color: var(--color-gray);
}
.noticeContent {
  max-height: 0;
  overflow: hidden;
  background: var(--color-boxGray);
  transition: max-height 0.3s ease-out;
}
.contentInner {
  padding: 20px 16px;
  font-size: var(--size-sm);
  line-height: 1.6;
  white-space: pre-wrap;
  color: var(--color-black2);
}

.noticeItem.active .noticeContent {
  max-height: 2000px;
}
#pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  margin: 20px 0;
}

.page-btn {
  width: 32px;
  height: 32px;
  border: 1px solid #eee;
  background: var(--color-white);
  border-radius: 4px;
  cursor: pointer;
  font-size: 13px;
  color: var(--color-gray);
  display: flex;
  align-items: center;
  justify-content: center;
}

.page-btn.active {
  background: var(--color-black2);
  color: var(--color-white);
  border-color: var(--color-black2);
  font-weight: bold;
}

.page-btn.move-btn {
  background: var(--color-boxGray);
  color: var(--color-black2);
}

.page-btn[disabled] {
  cursor: default;
  color: var(--color-gray2);
  background: var(--color-border-gray);
  border-color: var(--color-boxGray);
  opacity: 0.5;
}
.page-btn[disabled] img {
  filter: grayscale(1) opacity(0.5);
}

.share_btn_box {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  gap: 20px;
  padding: 16px 16px 0 16px;
  border-top: 1px solid var(--color-border-gray);
}
.share_btn_item {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 8px;
  font-size: var(--size-sm);
  font-weight: var(--weight-medium);
  color: var(--color-gray3);
  cursor: pointer;
}
.modal {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  z-index: 10000;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
}
.modal_inner {
  background-color: #fff;
  width: 90%;
  max-width: 320px;
  height: auto;
  padding: 24px;
  border-radius: 10px;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
  position: sticky;
  top: 120px;
}
.divider {
  width: 100%;
  height: 10px;
  background-color: var(--color-boxGray);
  margin-top: 10px;
  /* margin-bottom: var(--margin-bottom-l); */
}

#iframe {
  touch-action: pan-x pan-y;
}

.divider.bg_white {
  background-color: white;
}
.gae_img {
  width: 100px;
  height: auto;
}

.loading_overlay {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 400px;
  background-color: var(--color-white);
  gap: 20px;
}

.loading_spinner {
  width: 40px;
  height: 40px;
  border: 4px solid #f3f3f3;
  border-top: 4px solid var(--color-black);
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@media screen and (max-width: 500px) {
  .bannerScroll {
    display: grid;
    grid-auto-flow: column;
    grid-template-rows: repeat(2, auto);
    grid-auto-columns: 200px;
    gap: 8px;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    padding-bottom: 10px;
  }
}

@media screen and (max-width: 400px) {
  .grid_3card_row {
    grid-template-columns: repeat(2, 1fr);
  }
  .gridCardItem {
    gap: 2px;
  }
}

@media screen and (max-width: 320px) {
  html {
    font-size: 56.25%;
  }
  .mainSection {
    padding: 26px 12px 6px;
  }
  .card-stats {
    gap: 4px;
  }
  .view_icon {
    width: 14px;
    height: 14px;
  }
  .like_icon,
  .star_icon {
    width: 12px;
    height: 12px;
  }
  .card-stats .stat-item {
    gap: 2px;
  }
  .link_button {
    width: 70%;
  }
  .contents_textBox {
    gap: 4px;
  }
}
